View Issue Details

IDProjectCategoryView StatusLast Update
0022582mantisbtrelationshipspublic2017-04-01 00:13
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.2 
Target Version2.3.0Fixed in Version2.3.0 
Summary0022582: Relationships box layout is not right for reporters
Description
  • If no relationships and user doesn't have access to add new ones, the section is rendered empty.
  • If there are relationships and user doesn't have access to add new ones, there is a gap at the top of the table.
Tagsmodern-ui

Relationships

related to 0022042 new Revise relationship / dependency graphs layout 

Activities

vboctor

vboctor

2017-03-25 13:35

manager  

relationships_top_gap.png (41,341 bytes)
relationships_top_gap.png (41,341 bytes)
relationships_empty.png (42,261 bytes)
relationships_empty.png (42,261 bytes)
vboctor

vboctor

2017-03-25 13:48

manager   ~0056201

PR: https://github.com/mantisbt/mantisbt/pull/1068

Related Changesets

MantisBT: master dbe7be70

2017-03-25 13:44:59

vboctor

Details Diff
Relationship box layout fixes

Fixes 0022582
mod - core/relationship_api.php Diff File

Issue History

Date Modified Username Field Change
2017-03-25 13:35 vboctor New Issue
2017-03-25 13:35 vboctor Status new => assigned
2017-03-25 13:35 vboctor Assigned To => vboctor
2017-03-25 13:35 vboctor File Added: relationships_top_gap.png
2017-03-25 13:35 vboctor File Added: relationships_empty.png
2017-03-25 13:35 vboctor Tag Attached: modern-ui
2017-03-25 13:48 vboctor Note Added: 0056201
2017-03-25 13:48 vboctor Relationship added related to 0022042
2017-03-27 11:22 vboctor Changeset attached => MantisBT master dbe7be70
2017-03-27 11:22 vboctor Status assigned => resolved
2017-03-27 11:22 vboctor Resolution open => fixed
2017-03-27 11:22 vboctor Fixed in Version => 2.2.3
2017-03-27 11:43 vboctor Fixed in Version 2.2.3 => 2.3.0
2017-04-01 00:13 vboctoradmin Status resolved => closed